### Type parameters

- #### T: object

### Hierarchy

- ProxyHandler

## Index

### Methods

- apply
- construct
- defineProperty
- deleteProperty
- enumerate
- get
- getOwnPropertyDescriptor
- getPrototypeOf
- has
- isExtensible
- ownKeys
- preventExtensions
- set
- setPrototypeOf

## Methods

### Optional apply

- apply(target: T, thisArg: any, argArray?: any): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.proxy.d.ts:34

  #### Parameters

  - ##### target: T

  - ##### thisArg: any

  - ##### Optional argArray: any

  #### Returns any

### Optional construct

- construct(target: T, argArray: any, newTarget?: any): object

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.proxy.d.ts:35

  #### Parameters

  - ##### target: T

  - ##### argArray: any

  - ##### Optional newTarget: any

  #### Returns object

### Optional defineProperty

- defineProperty(target: T, p: PropertyKey, attributes: PropertyDescriptor): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.proxy.d.ts:31

  #### Parameters

  - ##### target: T

  - ##### p: PropertyKey

  - ##### attributes: PropertyDescriptor

  #### Returns boolean

### Optional deleteProperty

- deleteProperty(target: T, p: PropertyKey): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.proxy.d.ts:30

  #### Parameters

  - ##### target: T

  - ##### p: PropertyKey

  #### Returns boolean

### Optional enumerate

- enumerate(target: T): PropertyKey[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.proxy.d.ts:32

  #### Parameters

  - ##### target: T

  #### Returns PropertyKey[]

### Optional get

- get(target: T, p: PropertyKey, receiver: any): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.proxy.d.ts:28

  #### Parameters

  - ##### target: T

  - ##### p: PropertyKey

  - ##### receiver: any

  #### Returns any

### Optional getOwnPropertyDescriptor

- getOwnPropertyDescriptor(target: T, p: PropertyKey): PropertyDescriptor | undefined

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.proxy.d.ts:26

  #### Parameters

  - ##### target: T

  - ##### p: PropertyKey

  #### Returns PropertyDescriptor | undefined

### Optional getPrototypeOf

- getPrototypeOf(target: T): object | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.proxy.d.ts:22

  #### Parameters

  - ##### target: T

  #### Returns object | null

### Optional has

- has(target: T, p: PropertyKey): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.proxy.d.ts:27

  #### Parameters

  - ##### target: T

  - ##### p: PropertyKey

  #### Returns boolean

### Optional isExtensible

- isExtensible(target: T): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.proxy.d.ts:24

  #### Parameters

  - ##### target: T

  #### Returns boolean

### Optional ownKeys

- ownKeys(target: T): PropertyKey[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.proxy.d.ts:33

  #### Parameters

  - ##### target: T

  #### Returns PropertyKey[]

### Optional preventExtensions

- preventExtensions(target: T): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.proxy.d.ts:25

  #### Parameters

  - ##### target: T

  #### Returns boolean

### Optional set

- set(target: T, p: PropertyKey, value: any, receiver: any): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.proxy.d.ts:29

  #### Parameters

  - ##### target: T

  - ##### p: PropertyKey

  - ##### value: any

  - ##### receiver: any

  #### Returns boolean

### Optional setPrototypeOf

- setPrototypeOf(target: T, v: any): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.proxy.d.ts:23

  #### Parameters

  - ##### target: T

  - ##### v: any

  #### Returns boolean

Generated using TypeDoc